Package weka.gui.treevisualizer

# Class TreeDisplayEvent

java.lang.Object
weka.gui.treevisualizer.TreeDisplayEvent

public class TreeDisplayEvent extends Object
An event containing the user selection from the tree display

Version:
  $Revision: 8034 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCEPT`
  States that the user has accepted the tree.
  `static final int`
  `ADD_CHILDREN`
  `static final int`
  `CLASSIFY_CHILD`
  Asks for another learning scheme to classify this node.
  `static final int`
  `NO_COMMAND`
  `static final int`
  `REMOVE_CHILDREN`
  `static final int`
  `SEND_INSTANCES`
  Command to remove instances from this node and send them to the VisualizePanel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeDisplayEvent(int ar, String id)`
  Constructs an event with the specified command and what the command is applied to.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCommand()`
  `String`
  `getID()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NO_COMMAND

    public static final int NO_COMMAND
    See Also:
      - Constant Field Values

  - ### ADD_CHILDREN

    public static final int ADD_CHILDREN
    See Also:
      - Constant Field Values

  - ### REMOVE_CHILDREN

    public static final int REMOVE_CHILDREN
    See Also:
      - Constant Field Values

  - ### ACCEPT

    public static final int ACCEPT
    States that the user has accepted the tree.
    See Also:
      - Constant Field Values

  - ### CLASSIFY_CHILD

    public static final int CLASSIFY_CHILD
    Asks for another learning scheme to classify this node.
    See Also:
      - Constant Field Values

  - ### SEND_INSTANCES

    public static final int SEND_INSTANCES
    Command to remove instances from this node and send them to the VisualizePanel.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TreeDisplayEvent

    public TreeDisplayEvent(int ar, String id)
    Constructs an event with the specified command and what the command is applied to.
    Parameters:
      `ar` - The event type.
      `id` - The id string for the node to perform the action on.

- ## Method Details

  - ### getCommand

    public int getCommand()
    Returns:
      The command.

  - ### getID

    public String getID()
    Returns:
      The id of the node.